<?xml version='1.0' encoding='UTF-8'?>
<!DOCTYPE beans PUBLIC '-//SPRING//DTD BEAN//EN' 'http://www.springframework.org/dtd/spring-beans.dtd'>
<beans default-lazy-init="false" default-autowire="no" default-dependency-check="none">
	<bean id="transformer.worker.ocr.tiff" class="org.alfresco.repo.content.transform.RuntimeExecutableContentTransformerWorker" lazy-init="default" autowire="default" dependency-check="default">
		<property name="mimetypeService">
			<ref bean="mimetypeService" />
		</property>
		<property name="checkCommand">
			<bean class="org.alfresco.util.exec.RuntimeExec" lazy-init="default" autowire="default" dependency-check="default">
				<property name="commandsAndArguments">
					<map>
						<entry key="Windows.*">
							<list>
								<value>C:\Windows\System32\cmd.exe</value>
								<value>/C</value>
								<value>dir C:\alfresco-community\ocr.bat</value>
							</list>
						</entry>
					</map>
				</property>
				<property name="errorCodes">
					<value>1</value>
				</property>
			</bean>
		</property>
		<property name="transformCommand">
			<bean class="org.alfresco.util.exec.RuntimeExec" lazy-init="default" autowire="default" dependency-check="default">
				<property name="commandsAndArguments">
					<map>
						<entry key="Windows.*">
							<list>
								<value>C:\Windows\System32\cmd.exe</value>
								<value>/C</value>
								<value>C:\alfresco-community\ocr.bat</value>
								<value>"${source}"</value>
								<value>"${target}"</value>
							</list>
						</entry>
					</map>
				</property>
				<property name="errorCodes">
					<value>1,2</value>
				</property>
			</bean>
		</property>
		<property name="explicitTransformations">
			<list>
				<bean class="org.alfresco.repo.content.transform.ExplictTransformationDetails" lazy-init="default" autowire="default" dependency-check="default">
					<property name="sourceMimetype">
						<value>image/tiff</value>
					</property>
					<property name="targetMimetype">
						<value>text/plain</value>
					</property>
				</bean>
				<bean class="org.alfresco.repo.content.transform.ExplictTransformationDetails" lazy-init="default" autowire="default" dependency-check="default">
					<property name="sourceMimetype">
						<value>image/png</value>
					</property>
					<property name="targetMimetype">
						<value>text/plain</value>
					</property>
				</bean>
				<bean class="org.alfresco.repo.content.transform.ExplictTransformationDetails" lazy-init="default" autowire="default" dependency-check="default">
					<property name="sourceMimetype">
						<value>image/jpeg</value>
					</property>
					<property name="targetMimetype">
						<value>text/plain</value>
					</property>
				</bean>
				<bean class="org.alfresco.repo.content.transform.ExplictTransformationDetails" lazy-init="default" autowire="default" dependency-check="default">
					<property name="sourceMimetype">
						<value>image/jpg</value>
					</property>
					<property name="targetMimetype">
						<value>text/plain</value>
					</property>
				</bean>
			</list>
		</property>
	</bean>
	<bean id="transformer.ocr.tiff" class="org.alfresco.repo.content.transform.ProxyContentTransformer" parent="baseContentTransformer" lazy-init="default" autowire="default" dependency-check="default">
		<property name="worker">
			<ref bean="transformer.worker.ocr.tiff" />
		</property>
	</bean>
</beans>